---
title: "List Escrow Releases"
source_url: https://docs.rapyd.net/en/list-escrow-releases.html
lang: en
---

# List Escrow Releases

Retrieve a list of all releases of funds from a specified escrow.

### Parameters

### Request Path Parameters

- - payment
  - ID of the payment. String starting with **payment_**.
- - escrow
  - ID of the escrow. String starting with **escrow_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount_on_hold
  - Total amount of funds that are currently held in the escrow, in the currency defined in `currency_code` in the payment.
- - created_at
  - Date and time the escrow was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - currency
  - The currency of the escrow balance. Three-letter ISO 4217 code.
- - escrow_releases
  - Array of objects that describe individual releases.

    - - data
      - Array of objects that describe individual escrow releases.

        - - amount
          - The amount released.
        - - created_at
          - Date and time the escrow release was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
        - - currency
          - The currency of the escrow balance. Three-letter ISO 4217 code.
        - - ewallets
          - Array of objects that define a non-proportional release to multiple wallets.

            - - ewallet
              - ID of the wallet, a string starting with **ewallet_**.
            - - amount
              - The amount to release to this wallet. Relevant when `percentage` is not set.
            - - percentage
              - The percentage of this escrow to release to this wallet. Relevant when `amount` is not set. On a partial release after the first, this refers to the percentage of the original amount of the escrow.
        - - id
          - ID of the escrow release, a string starting with **er_**.
        - - proportional_release
          - Indicates that the wallets were released in the same proportion that was defined in the [Create Payment](https://docs.rapyd.net/en/create-payment.md "Create Payment") request.
        - - trigger
          - Indicates what triggered the escrow release. One of the following:

            - **event** - Funds were released due to an API request.
            - **time** - Funds were automatically released at 5:00 p.m. GMT (17:00 GMT) on the day indicated in the[Create Payment](https://docs.rapyd.net/en/create-payment.md "Create Payment") request.
            - **cancel_escrow** - Escrow was canceled.
    - - has_more
      - Indicates that the number of escrow releases is greater than the number returned in the response.
    - - total_count
      - Number of escrow releases.
    - - url
      - URL for the record of all escrow releases for this payment.
- - id
  - ID of the escrow, a string starting with **escrow_**.
- - last_payment_completion
  - Date and time of the completion of the last payment or partial payment, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - payment
  - ID of the payment, a string starting with **payment_**.
- - status
  - Status of the escrow. One of the following:

    - **pending** - The payment and escrow were created, but the payment is not completed and the funds are not in the escrow.
    - **on_hold** - The payment is completed and the funds are in escrow.
    - **canceled** - The escrow is canceled.
    - **released** - All or part of the funds have been released to the wallets.
- - total_amount_released
  - Total amount of funds that were released to the wallets, in the currency defined in `currency_code` in the payment response.
- - updated_at
  - Date and time of the last update to the escrow, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string payment = "payment_414360121003a3c3bdaf4f3cb1d9a1f8";
                      string escrow = "escrow_006fa9200fd7436a74b75fac963fadcf";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/payments/{payment}/escrows/{escrow}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/payments/payment_b8f1f3c75eb74fc318daa89418f6c8e9/escrows/escrow_8484400128afa6aa8b31297088e81f45/escrow_releases'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);
      try {
          $object = make_request('get', "/v1/payments/payment_a813e2bac82bad744b98defa727f7e3c/escrows/escrow_f3c4db8e23bde2973704a7f9f32baabb/escrow_releases");
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      payment = "payment_35544ff0d05c578c87ad171f2dd2ba6e"
      escrow = "escrow_71193eec47ff06ce000e0c4423cbb68d"
      response = make_request(method='get',
                              path=f'/v1/payments/{payment}/escrows/{escrow}/escrow_releases')

      pprint(response)
      ```

- /v1/payments/:payment/escrows/:escrow/escrow_releases

- List Escrow Releases
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payments/payment_a7f40f90f6140a9f69459284330ee6f2/escrows/escrow_6c435c866b0377496599225bc780a82a/escrow_releases' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "b836d129-4642-4dbf-b633-67b3d386a61e"
      },
      "data": [
          {
              "id": "er_8dd4414e7d04a2fb03927d520d04f494",
              "amount": 45,
              "trigger": "cancel_escrow",
              "proportional_release": true,
              "ewallets": [
                  {
                      "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                      "amount": 45
                  }
              ],
              "created_at": 1764090610,
              "currency": "EUR"
          }
      ]
  }
  ```
